Creates a new type

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

marketing_segment
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

string

Max length: 50

segment

Marketing segment Name

string

Required

Max length: 50

description

Description of the segment

string

Max length: 255

visit_frequency_days_interval

Number of days between 2 visits

integer
frequency_logic

Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED )

string
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "4e22e597-8ef1-4979-ac7b-dd0113e9e774",
  "code": "sample string 2",
  "segment": "sample string 3",
  "description": "sample string 4",
  "visit_frequency_days_interval": 5,
  "frequency_logic": "sample string 6",
  "sales_organization_id": "c774157e-5cbf-4f76-b55e-9dc9c9092cbf",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "2760a2cd-4c25-42c1-b106-20d4e845bb21",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "2b03296a-c349-4835-b1f1-0329d4e25141",
    "db_currency_id": "d29811c5-d09d-4f30-a15f-8df474329552",
    "db_language_id": "0906d155-cf6e-4e84-9285-cff422ed2b4a",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-08-07T04:17:52.9360749+00:00"
  },
  "modified_dateutc": "2026-08-07T04:17:52.9360749+00:00"
}